Linux的未来：进化无处不在
================================================================================

*InfoWorld* —— Mark Shuttleworth之前关闭了[Ubuntu Linux的第一号bug][1]（“微软拥有最高的市场占有率”），导致了一些争议，也引出了一些意味深长的讨论，讨论自从1991年Linus Torvalds以个人玩物项目发明Linux以来，Linux所走过的路。

微软也许不会那么快退出桌面系统的历史舞台，但是随着Linux逐渐成长成为IT行业的一块重要基石，计算机的本质也已经完全改变。如今，从云服务到手机操作系统，几乎行业内的所有领域都受到了Linux的直接推动或间接影响。

###Linux体系：提交、审核、采纳

伴随着支持者的不断增加，Linux的开发进程也在不断加快。

但发展的方向又在何处？如果Linux的普及和开发程度正在接近顶峰，那接下来Linux将去往何方？因为Linux具有超高的定制性和超多的“分身”，也许没有哪一个单独的答案能够回答这个问题。

或许，更重要的，是快速成长中的Linux如何应对挑战，变得更加成熟稳定，成为在多个领域主导市场发展的领头羊。接下来，让我们分别从以下几个方面尝试预测一下Linux的未来：原材料、社区产品与企业贡献、其特质所面对的各种挑战、技术实力和成长方向。

###Linux作为原材料：弯曲、塑形，你想让它是什么样都可以

如果用一个形容词来总结Linux独有的优点，那就是“可塑性(malleable)”。Linux是这样一种原材料，可以装订切割，也可以为任意场合量身定做，小到嵌入式设备，大到大规模并行超级计算机。

但同时，这也是Linux的缺点之一。它千变万化的特性使得它很少以“Linux”的本来面目出现 —— 相反，人们使用的是各种“基于Linux”的产品，例如Android、或家用路由器这样的硬件设备。桌面Linux的多个发行版（之间往往不相容）也把最忠实的用户群分割得七零八落。

Linux基金会执行董事Jim Zemlin承认，“Linux终端用户的体验的的确确是支离破碎的，但这也是Linux的一个强大之处。”

“它就像一块建筑地基，使得Google能建立Android和Chromebooks，Amazon建立Kindle，Canonical建立Ubuntu，等等这样的例子还有很多。所有这些产品对用户来说意味着不同的使用体验，而选择权完全在消费者自己手里。”

Mark Baker，Canonical公司的Ubuntu服务器产品经理，目前负责领导Ubuntu项目。他的话更加具体准确地表明了这一观点：“开源意味着选择的自由。”开源自然会促进模块化，因此，无论你是一个技术宅男还是正在开发数据中心的系统架构师，“通过开源，你可以选择最适合你的组件”。

但是IDC的操作环境分析师兼系统软件项目副经理 Al Gillen 却质疑这种完全放任自流的价值观。“Linux是开源的，由此，任何人都可以修改代码，把它变成别的什么东西。但是，现代工业已经表明，没有价值的产品会被淘汰，代码的发展主线应当始终紧靠主流价值观。”

Android用户对此有直接的深刻体会，诸多Android操作系统间存在着严重的碎片化问题。严格来说，尽管这并不都是Linux的责任，但是看看在Android之前就已经出现的无数五花八门的Linux桌面发行版吧，放任产品随意修改，差异化实现又造成更大的影响 —— Android碎片化只是将这些问题生动放大了而已。

讽刺的是，即使“可塑性”真的是Linux的最大优势，但过犹不及，Linux作为这样的原材料将会付出成倍的代价。

Cloudera的工程部经理 Eric Sammer 并没有孤立地看待这个问题，他认为Linux的用户群“与Firefox或Apache等产品的用户群并不一样”，Linux“面向的并不是终端用户，而是操作系统类工程师”，因此它需要与“很多其他软件一同建立一个完整的系统 —— 其中大部分软件是捆绑发布的，并对用户透明（例如boot loader）。”就如同Torvalds在Linux最初的内核发布日志中亲自写道，“只有内核，你什么也干不了。”

Android验证了Gillen和Sammer以上两人的观点，作为Linux最受欢迎的“衍生品”，Android所有的附加值都来自于Google以及Google专门为其开发的App生态系统。因此说，Linux的可塑性只是它成为真正产品的第一步，正如下文中这些最成功的Linux拥护者 —— 企业，所熟悉的一样。 

###企业的贡献：利还是弊？

Linux的另一个特点，它是一个合作产物，由众多贡献者共同努力缔造而成。那么，这些贡献者从何而来？

答案：企业。企业是最主要的贡献者，但是他们忠于利益，支持Linux只是为了自身的未来发展。除去Red Hat（不同于Canonical，RedHat是最为人所熟知的Linux解决方案供应商），排名前几位的贡献者主要包括Intel，IBM，德州仪器，甚至还有微软。

Linux的所谓“灵活性”，即能够运行在多个平台或设备上的能力，很大程度上来源于以上这些贡献者，而他们的主要动力则来自于不断萌发的自身需要：例如，微软为Linux内核添加的代码，大大改善了Linux在其产品Hyper-V下的运行状况。

Sammer相信企业背景的发行版之所以能够普及，是“因为Linux内核这样的项目其复杂程度和准入门槛太高，一般水平的C程序员很难在有限的业余时间内，仅凭个人能力，而不依靠企业的支持，跟上内核的更新进度、建立社区公信力，或者做出某些重大贡献”。在他看来，企业恰恰有能力有资源支持这样的努力，与之相比，高校和研究机构已被远远地抛在了后面。

但是企业发行版的普及就代表Linux已经陷入企业的控制了吗？难道这就是Linux的未来？沦为资本的玩物？

其实最重要的不是看谁对Linux的贡献最多，而是这种贡献所代表的企业精神。不管是纯粹为了圈钱，还是为了把挣来的钱都回馈于社区，无论这些企业最初的动机是什么，作为Linux的贡献者，它们始终对贡献本身坚信不疑。

Mark Coggin，Linux红帽企业版的市场高级总监，他坚信，“最佳的创新点是那些经过开源社区的无数参与者利用、改进后的方案。”

“我们所有的新点子都会先作为开源项目，寻求社区上游项目组的增益评估，然后才加入像红帽企业版这样的产品。我们希望那些为Linux内核及配套项目工作的每个人，也能拥有像我们一样的眼光。”

还有一小部分观点认为，企业发行版Linux其实是一种“被绑架的Linux”，正如Gillen所提倡的 —— 这是一种让Linux“稍稍不那么贴合主流用户群需求”的方法。他确信，对Linux的商业化支持与商业优化“对Linux的开发模式大有裨益，而不是相反。”

###同样的，对Zenmlin来说，Linux开发“并不是一个零和游戏”

“如果移动领域的某位开发者改善了耗电量，另一位在数据中心工作的开发者会因此而受益，他可以使用前者的改进来确保自己的数据服务运行得更有效率，”Zemlin说道，“共享开发正是Linux如此强大的原因。”

同样，企业开发也并非敌人，“人们为Linux的开发工作付费从来都不是坏事；这些钱款可以让Linux的改善与创新变得更加迅捷快速。”

真正的问题是，Baker补充道，“一些超大型网络公司对Linux作出改进并上线应用，但是却为了保持自己的优势，而把这些改进捂在自家门里。”

GPL协议第三版 —— 从Linux发布协议的一个早期版本改进而来 —— 当初修改该协议的部分原因就是为了应对上述行为。尽管如此，协议只能防止获取他人代码后作为Web服务重新开发。除此以外，并没有什么固有的方法（或法律手段）能够禁止公司或个人在代码开发完成后封闭独占这些改进后的代码，也许，这就是Linux对全世界自由开放所不可避免的一部分社会成本吧。

###Linux面临的最大威胁

感谢开源机制，Linux始终能够作为一个开源项目，企业才无法像以前那么独断专行。那除了企业，现在什么才是Linux所面临的最大威胁呢？ 

没人会真的认为Linux会被版权欺诈或诉讼所威胁，更不会因此从OS版图上消失。类似的最大一起诉讼案，SCO
Group公司控告IBM案，被广泛解释为间接对Linux的攻击，也最终以悲惨的失败而告终（译者注，该案件间接导致了SCO Group的破产）。

Coggin也倾向于该观点：“依靠巨大的开发者网络和全球范围内的推广传播，Linux取得了巨大成功，这意味着它具有很强的韧性。尽管专利威胁一直都在增加，正如许多科技公司最近所做的那样，但是看起来专利诉讼并不会对Linux产生任何实质性的威胁。”
 
除此以外，其他类似开源产品的竞争，甚至更加自由化的协议（例如各式各样的BSD们），目前为止，都没有真正达到能够危及淘汰Linux的程度。

Sammer用一个单词总结出了，在合法范围内，Linux面临的最大威胁：自满！ —— 自满地认为已经成为所有领域的市场领导者。

他说，“如果你正在竞争第一名的位置，你常常愿意更开放地做出改变，无论是过程上的、心态上的，还是有关发展路线的，甚至维持现状本身。想想Firefox被Chrome以如此快的速度抢走了如此多的份额，再想想当年的商业化Unix们被Linux抢占江山，这样的例子还有很多很多。”

大致根据同样的思路，Zemlin看到了这样一种威胁，面对日益增长的需求，Linux的天才开发者们才气有余，但经验不足，因此这才有了[Linux培训][2]项目。

Gillen发现的威胁来自于社区的变化，“随着时间推移，Linux的主流用户群 —— 社区，正在从企业的客户（服务的消费者）转变为服务的提供者。”

这样一种变化可能会导致Linux用户被迫作为Linux服务提供者的同时，却完全无法将自己的智慧和创新回馈社区。这种变化也许会持续十几年甚至更长，但它“对整个Linux世界都具有深远的消极影响，包括各个Linux商业发行商在内。”

Linux所要面对的另外一个潜在威胁是公司兼并 —— 这并不会威胁到Linux本身，但它可能会间接导致各种各样的可能性。Baker担心移动设备的快速增长，除了受Linux自身的发展影响外，更多的会受到来自企业施加的影响。

他说，“这就是为什么我们需要诸如Ubuntu和Firefox这样的第二选择，目的就是为那些上网时不愿受Apple和Google摆布的人们提供真正的替代品。”

说到Google，Google是Android的发展道路上最坚定的捍卫者。围绕Android作为Linux发展而来这一话题，有许多反对意见的争论，这样的争论对于Google的世界观来说，就像与它的首页相比较一样，稍显多余，同时它们也不符合Linux（自由开放）的精神。

简而言之，目前Linux面临的最大威胁来自于它自身 —— 无意中，衡量Linux产品的第一标准已经变成了如何让它看起来更吸引人。一直以来，Linux所固有的灵活性和可塑性帮助它战胜自满和企业兼并，克服重重困难，但如今还能否一如既往，情况并不明朗。

###路在何方？

毫无疑问，无论从哪个层面来看，Linux现在都正处在关键的岔路口，它将去往何方，又将付出怎样的代价，都值得探讨。

Linux最明显的未来之路，首先，它不仅仅是一块基石，或者说不仅仅是一种建立基础设施的途径；其次，它应当减少过多的产品形式；最后，真正的革新，不仅仅是拓展Linux本身，还要拓展其作为发现问题解决问题的创新办法。目前还很少有人如此对待Linux，要想真正做到这一点，除了呼吁更多的人改变对Linux的看法，还必须打破技术壁垒，将眼光放得更长远。

对此，Coggin说道：“Linux正在逐渐成为一个更加成套或灵活的操作系统，进而超越其作为一个基础设施平台的作用。我们看到，开发者和架构师们正在使用Linux建立新一代解决方案，创造出新一代的企业架构。”这些工作中的大部分已经开始付诸实施，他说道，包括“云计算、大数据、移动领域以及社交网络等多个方面”。

Gillen也同意上述观点，Linux“即将成为公共云基础设施中非常关键的一个部分，由此，Linux确保了它在现代工业中能够长期发挥作用。”
 
Baker说道，“Linux已经在运行着云业务，这是毫无疑问的，它需要巩固自己作为基础设施平台的位置 —— 这意味着它需要时刻保持最新的技术领先优势，例如ARM服务芯片、超大规模集成电路、网络设计，以及所有的软件设计数据中心。”上述这些工作应当可以作为开源系统硬件设计（例如[开源计算机项目][3]）的有效补充。

###Linux体系：提交、审核、采纳

伴随着正面需求不断增长，Linux的开发进程也在不断加快。

Linux作为普遍存在的基础设施元素，其中一个潜在的缺点就是它有可能成为商业化的制度产物，正如曾经它所取代的闭源Unix们。但是Zemlin认为，Linux极大的灵活性在这方面发挥了作用：“十几年前，如果你问到Linus Torvalds或其他社区成员，Linux是否会比其他任何平台都要更多的装到移动电话里，他们当然会说‘不会’。所以，我们要做的只是注视Linux的发展，不要尝试去预测它，因为所有的预测几乎都会是错误的。”

另一个重要的未来发展方向，就像上面提到的，“独立于Google之外，在移动领域有更大的发展，”Baker如此预测道。像Mozilla专门针对移动电话的Firefox操作系统项目，就是这样一种典型的尝试，尽管在Google的存在下，以及Android如此巨大的市场份额面前，其成功的几率并不明朗。

最后，最关键的问题，谁将担负起指引Linux未来之路的责任。因为Linux可以由其他人任意复制(fork)并开发，历史证明，拥有单一核心开发团队对于Linux来说是最好的，同时要求基于该团队的所有项目，其核心都能贯穿始终。

这样核心团队能够承担更多的责任，以推动Linux弥补现有或将来可能出现的不足，避免闭门造车式的技术封锁，最终使Linux成为它最应该成为的样子。

如果Linux的未来真的无处不在，现在没有人能够想象得到它会是什么样子 —— 这是一件好事，难道不是吗？

--------------------------------------------------------------------------------

via: http://www.networkworld.com/news/2013/101513-the-future-of-linux-evolving-274829.html

译者：[Mr小眼儿](http://blog.csdn.net/tinyeyeser) 校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:https://bugs.launchpad.net/ubuntu/+bug/1
[2]:http://training.linuxfoundation.org/
[3]:http://www.opencompute.org/2013/05/08/up-next-for-the-open-compute-project-the-network/