开源软件的易用性
================================================================================
[Jim Hall][2] 在 Linux Journal 网站上发表了一篇精彩的[文章][1]，是关于开源软件的“易用性”的。在开源项目中，软件的“友好性”往往被敷衍处理，甚至会被完全忽略。另一方面，人们经常将“易用性”与“美观”混为一谈，他们认为软件“易于使用”就是要软件设计得漂亮。开源项目软件的“易用性”经常被开发者忽略，这可以理解，毕竟开发者肯定知道如何使用他们自己的软件，并且对开发的软件的工作环境也了如指掌（译注：举个生活中的例子，译者，就是我，想去附近的阿姨家玩，只需要出门左转右转过个红绿灯再过三幢房就到了，因为我对环境了如指掌；如果要让读者，就是你，找到我阿姨家，估计你要冲过来削我：你 TM 在逗我么）。开源软件能很好地满足开发者自身的需求，但如果想让你的软件被更多人使用，你就需要在“易用性”方面下大功夫。

在 Linux Journal 上的这篇文章里面，Hall 介绍了他与几个大学生一起做了一个小小的易用性测试，这些学生都是 Windows 用户，并且对电脑都不怎么熟悉。他们被要求使用装有 Fedora 17 的笔记本，并且要求使用一系列软件，像 Gedit、 Firefox 和 Nautilus，Hall 在一旁观察，并做一些记录。结果显示这些用户能够使用这些软件的基本功能，但对于软件的一些高级功能，他们就束手无策了。他们能够在不需要任何提示的情况下使用火狐上网，但当要求他们改变 Gedit 的默认字体，或使用 Nautilus 为一个文件建立书签时，他们就不知道怎么做了。

Hall 做的这项实验对开发者来说是非常有意义的。你永远都想不到用户会将你的软件用在什么地方，并且对于你觉得一目了然的特性，就跟长在脸上的鼻子一样清楚明了的特性，在用户眼里可能就是那么难以理解。我在读研的时候，就做过一个“软件易用性”实验，实验的道具是一款名叫“Silverback”的商业软件，它会调用电脑内置摄像头来拍摄用户的脸部表情。当用户坐下来完成我们布置的任务时，我们中的一个人会坐在用户旁边并做一些记录，实验结束后我们会回头看录像，记录用户鼠标点击次数、用户完成每个任务需要的时间，以及他们是否能完成所有任务。记录用户脸部表情非常有用，特别是配合用户做任务时实验人员写下来的实验记录的时候。笔记上有一条“在第６个步骤有些迷惑”的记录，用户脸部表情与这个记录保持一致，这能显示用户在什么时候感觉遇到挫折了。

如果你没有参与过开源社区，这是一个很好的起点。“易用性”不好，就是一个 bug，与软件其它 bug 一样，都需要解决。一个软件如果不能按用户的思路来处理用户的问题，这就是一个 bug。如果你是一个开发者，帮自己一个忙，坐在一个资深的软件使用者旁边，让他用用你的软件。不要指点，不要提醒，不要告诉他需要按什么按键，就让他自己把玩，自己发现软件的用处（就让他往死里吐槽）。也许你能对你的软件有更深一层的了解。如果你觉得了解自己的软件，试试让其他人玩玩吧。

--------------------------------------------------------------------------------

via: http://ostatic.com/blog/usability-and-open-source

译者：[bazz2](https://github.com/bazz2) 校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://www.linuxjournal.com/content/its-about-user-applying-usability-open-source-software
[2]:http://opensource-usability.blogspot.com/
