十一款 Linux 上的视频编辑软件横评
================================================================================
视频编辑器能让你完成各式各样的视频后期制作的活儿，包括常见的编排、剪切、拼接、剪辑以及其他通过时间轴界面的视频片段增强功能（例如为视频片段增加特效）。在现代的视频编辑软件中，像多编解码器导入/转码、非线性视频编辑甚至是高清视频支持，都早已变成了行业标准。

在本文中，我将介绍 **11 款可以在 Linux 环境使用的视频编辑软件**。我不会介绍诸如易用性或是界面设计这样带有主观色彩的优点，但我会介绍每款视频编辑器独具特色的功能。如果你曾经使用过下面列出的任何一款视频编辑器，敬请随意分享你的使用体验或者想法。

### 1. Avidemux ###

![](http://farm8.staticflickr.com/7452/12867967445_9848544802_z.jpg)

- 许可协议： GNU GPL
- 跨平台（Linux, BSD, MacOS X, Windows）
- 支持 GUI 和 命令行模式
- 支持 JavaScript（感谢 SpiderMonky JavaScript 引擎）
- 内置的字幕处理
- 官方网站： [http://fixounet.free.fr/avidemux][1]

### 2. Blender ###

![](http://farm3.staticflickr.com/2038/12960698134_74c974064c_z.jpg)

- 许可协议： GNU GPL v3+
- 跨平台（Linux, BSD, MacOS X, Windows）
- 专门用于于 3D 建模和动画
- 支持图像/视频合成
- 视音频特效和转场
- 官方网站： [http://www.blender.org][2]

### 3. Cinelerra-CV ###

![](http://farm3.staticflickr.com/2867/12867966335_9dd6032d43_z.jpg)

- 许可协议： GNU GPL
- 提供 Cinelerra 视频编辑器的社区版本
- 支持视频合成
- 允许从文件管理器中拖放文件
- OpenGL 驱动的视频播放 GPU 加速
- 视音频特效和转场
- 直接捕捉摄像机画面
- 跨平台（Linux 和 Windows）
- 官方网站： [http://cinelerra.org][3]

### 4. Flowblade ###

![](http://farm8.staticflickr.com/7384/12868043903_55798d69dc_z.jpg)

- 许可协议： GNU GPL v3
- 支持基于 FFmpeg 的多种文件类型
- 允许从文件管理器中拖放文件
- 支持视频和图像合成
- 图像和音频特效
- 允许在时间轴上自动放置视频剪辑
- 官方网站： [https://code.google.com/p/flowblade/][4]

### 5. Jahshaka ###

![](http://farm4.staticflickr.com/3675/12867967135_465d74cbd0_z.jpg)

- 许可协议： GNU GPL
- 跨平台（Linux, MacOS X, Windows）
- 支持 2D/3D 动画特效和视频合成
- 支持协同编辑（比如用编辑服务器和中央数据库的方式)
- 媒体资源管理
- 基于 GPU 的特效
- 官方网站： [http://www.jahshaka.com][5]

### 6. Kdenlive ###

![](http://farm3.staticflickr.com/2828/12868395504_828564d3d4_z.jpg)

- 许可协议： GNU GPL v2+
- KDE 环境下可用的视频编辑器
- 支持基于 FFmpeg 的多种文件类型
- 视音频特效和转场
- 能够混合来源不同的视频、音频和图像
- 捕捉摄像头、网络摄像头、Video4Linux 设备或者 X11 屏幕
- 导出到互联网视频分享网站，比如 YouTube、Dailymotion 以及 Vimeo
- 官方网站： [http://www.kdenlive.org][6]

### 7. Lightworks ###

![](http://farm8.staticflickr.com/7437/12868546774_368f267995_z.jpg)

- 许可协议： Freemium
- 跨平台（Linux, BSD, MacOS X, Windows）
- 多语言支持
- 实时 GPU 加速的视频特效和合成功能
- 官方网站： [http://www.lwks.com][7]

### 8.LiVES ###

![](http://farm8.staticflickr.com/7370/12868043753_ea9aaf4a97_z.jpg)

- 许可协议： GNU GPL
- 跨平台（Linux, BSD, MacOS X, Solaris）
- 借由 mplayer 实现的多种视频格式支持
- 插件方式实现的可扩展的视音频特效
- 通过 OSC 协议的远程控制
- 从火线和和电视卡捕捉视频
- 无损备份和崩溃恢复
- 支持从 YouTube 导入视频剪辑
- 官方网站： [http://lives.sourceforge.net][8]

### 9. OpenShot ###

![](http://farm4.staticflickr.com/3674/12868395634_f33d7545b8_z.jpg)

- 许可协议： GNU GPL v3
- 支持基于 FFmpeg 的多种文件类型
- 允许从文件管理器中拖放文件
- 支持 2D 标题（感谢 Inkscape）和 3D 动画标题（感谢 Blender）
- 数字变焦
- 带预览功能的动画视频转场
- 支持视频合成和图像水印
- 滚动字幕方式的“鸣谢”和其他文本
- 官方网站： [http://www.openshot.org][9]

### 10. Pitivi ###

![](http://farm8.staticflickr.com/7399/12868396354_d9796a378c_z.jpg)

- 许可协议： GNU LGPL
- 由 GStreamer Editing Service 提供的视频导入、转换和渲染
- 视音频特效和转场
- 支持关键帧和视频合成
- 可拆分的用户界面
- 多语言支持（感谢 GNOME 的集成）
- 官方网站： [http://www.pitivi.org][10]

### 11. Shotcut ###

![](http://farm4.staticflickr.com/3671/12867967295_7b3e5671ce_z.jpg)

- 许可协议： GNU GPL
- 跨平台 (Linux, MacOS X, Windows)
- 支持基于 FFmpeg 的多种文件类型
- 允许自定义用户界面，面板可停靠
- 多种格式的时间轴（比如不同的分辨率及帧频）
- 捕捉网络摄像头，HDMI，IP流和 X11 屏幕
- 允许从文件管理器中拖放文件
- 使用 OpenGL 并有 GPU 协助的图像处理
- 官方网站： [http://www.shotcut.org][11]

--------------------------------------------------------------------------------

译自: http://xmodulo.com/2014/03/good-video-editing-software-linux.html

译者：[sailing](https://github.com/blueabysm) 校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://fixounet.free.fr/avidemux/
[2]:http://www.blender.org/
[3]:http://cinelerra.org/
[4]:https://code.google.com/p/flowblade/
[5]:http://www.jahshaka.com/
[6]:http://www.kdenlive.org/
[7]:http://www.lwks.com/
[8]:http://lives.sourceforge.net/
[9]:http://www.openshot.org/
[10]:http://www.pitivi.org/
[11]:http://www.shotcut.org/
