“云”是怎么影响着每一位linux用户的？
================================================================================
### “云”简介 ###

不论是报纸、在线资讯、播客、科技博客、科技门户网站，甚至是电台和电视。“云计算”永远都是人们津津乐道的主题。

然而，因为“云计算”包含了太多的东西，现在并没有一个明确的定义，所以你认为“云计算”应该是什么呢？

> **云计算** 过去常常被当做是网络计算的一个模型，网络计算就是把用户程序或者是应用运行在一个联网的服务器或是一个服务器集群，而不是像个人电脑、平板以及智能手机这一类运算设备。比如像传统的client-server (客户机-服务器模型) 和老一代的大型机，^[1] 用户通过连接服务器来执行一项任务。这和“云计算”是不同的，“云计算”是利用虚拟化的技术，把运算进程运行在一个或多个服务器上。利用虚拟技术，越来越多的物理化的服务器被配置和划分成多个独立的“虚拟”服务器，每个服务独立运行，对于用户来说，就像是运行在一个独立的物理服务器上一样。虚拟服务器本质上还是从他们的物理服务器中分离出来的，由于这种灵活的配置方式，使得人们可以按照意愿移动服务器和按比例分配资源而不影响最终的用户体验。计算机资源已成“颗粒”，给用户和管理人员提供方便，包括提供按需自助服务，支持更广泛的跨平台之间的访问，资源共享，快速重新部署，可被监控与量测服务。^[2]

以上引用摘自维基百科。

在过去，我们要么用哑终端连接大型电脑主机，要么近年来使用桌面电脑连接运行在内部服务器上的应用，就像网站连接数据库一样。
	
现在，所有桌面、应用和服务器的管理都已经本地化，都需要来自它们所属公司的技术支持。

然而这只对软件公司等少数的公司有利，却对其他的一些商业公司不利，比如说银行、保险公司和石油公司。信息技术公司没有银行的职能，就好像是做餐饮的钻不出地下的石油一样。

大公司早已把很多服务外包给专业的公司。例如，让餐饮公司为他们的员工提供食堂，以及我们所熟知的离岸呼叫中心处理银行业务的客户电话。

IT 行业的很多服务也逐渐转向外包，许多的技术支持和开发的业务都被打包给中国、印度、马来西亚和东欧。

云计算与传统的典型模型有很大不同的一方面在于虚拟化，这种虚拟化的技术把服务运行于虚拟服务器上，服务器可以被放置在同一个地方或者是相隔千山万水，但是，这并不重要，你也不用担心，因为那不是你该担心的事情。

> 现在，“云计算”已经成为云计算基础设施的简称。^[4] 这个术语来源于早年一些网络工程师用云状的符号表示那些对他们来说未知的网络。^[5] 后来，营销者普及了这个云的概念，指的是软件、平台和一些可以买卖的基础设施。比如，远程登录互联网。

因此，这篇文章讲述了和云相关的所有，对于linux的用户来说，这意味着你想用它做什么和它能为自己做些什么，当然，这有可能也会给我们造成一些误区。

从一个终端用户和家庭使用者的角度来看，云计算最基本的就是提供在线服务。

所以，让我们来说一说云能到底能给每一位linux用户提供些什么有用的服务？

### 电子邮件 ###

当你读到这里的时候，如果你还没有一个电子邮箱，我只能说你OUT了。

据PC杂志顾问统计分析，截至2014三月份，电子邮箱的用户最多的前六名分别是Outlook、GMail、Yahoo、icloud、AOL和GMX。

### 办公套件 ###

和电子邮件客户端一样，对于每个人来说，另一个最常用的工具之一就是办公套件。

在以前，当人们刚刚进入电脑世界的时候，买一个电脑会带回一个超大型的机器和半打子CD，刻着几个没用的 Microsoft Works ( 微软工作软件 )。 (LCTT译注：Microsoft Works Mirosoft Works是微软的一种家用综合软件，它主要面向低端的家庭用户,提供基本的能提高生活效率的工具,比如提供简单的文档处理、数据库、电子表格的入门级办公包功能。) 微软工作软件是一个廉价，而且无用到几乎要被砍掉的微软office版本。

而现在，你甚至不需要在你的电脑上安装任何的办公套件，即便是有LibreOffice和Kingsoft这样好的软件供选择。

最好的选择当然是Google Docs和Office 365。对于Office 365能否很好的运行于Linux平台，这篇来自2012期专业电脑的文章似乎说明了这个问题。

![](http://www.linuxnews.pro/wp-content/uploads/2014/06/office365_1.png)

有人说这怎么可能呢，我不相信，所以，我注册并登录了Office 365，想看看到底是什么情况。

注册，可以免费试用一个月，并且会赠送包括Word、Excel、和Outlook等一些在线应用。

![](http://www.linuxnews.pro/wp-content/uploads/2014/06/office365_2.png)

一切看起来都挺好，我打开了Microsoft Word，选择了一个模板来使用，当然根本就没有打开成功。

Office 365 并没有很好的支持linux设备，况且，说实话，你也不需要这东西。so，咱们继续。

![](http://www.linuxnews.pro/wp-content/uploads/2014/06/office365_3.png)

Google Docs对于一般的办公支持非常完美，它能完成很多的事情，并且有很多的模板针对文字处理，演示工具，电子表格等。即使它始终也代替不了Excel，因为他并没有成百上千的开发人员为其创建宏和编写VBA脚本。

![](http://www.linuxnews.pro/wp-content/uploads/2014/06/zoho_1.png)

另一个可供选择的办公套件是Zoho。

和Google Docs一样，Zoho也包含有文字处理工具，演示程序，电子表格程序和电子邮件。

此外，还有很多金融和客户管理系统。

![](http://www.linuxnews.pro/wp-content/uploads/2014/06/zoho_2.png)

这个工具的界面看起来真的很简洁，很棒。

它和Google Docs和Zoho这些在线服务一样，给予了人们相互协作的便利。

很多文档被不同的人分享，然后在不同的地方被不同的人修改完善。

这里会给出一些理由来帮助你从Google Docs和Zoho中选择一个适合你的办公套件。

### 在线文件存储 ###

Google Docs和Zoho给我们提供了其他一些很好的服务，就是很好的线上存储能力，你们可以线上存储很多文档和创建很多文件。

也有一些其他的服务,比如说Dropbox,仅仅只提供在云存储服务。

像Dropbox这样的云存储的好处是如果你的东西被偷了或者是不小心房子着火了，而这时，你仍然有一份离岸备份是安好无缺的。你仍然可以在任何地方获取你的文件。

Dropbox对于前2G的容量是免费的，如果你还有更多的东西要存储，每天还有更多的事情要做，每个月只要9.9美刀，你就能拥有100G的存储空间，另外，Dropbox也提供商务版本，每个月15美刀。

当然，并不是说Dropbox没有可替代的方案，这个网站也提供了很多很好的一些在线备份的方案。

### 相册 ###

自从有了数码照相机和智能手机，现在越来越多的人们利用存储卡来保存照片。

我相信肯定有人因为电话坏了而丢失照片，因为他的照片是存储在电话上的，而不是其他的存储设备，甚至，有些因为丢失了电话而丢失了他们孩子的运动会照片或者是其他一些具有纪念意义的照片资料。

丢失电话肯定不是什么好事情，如果你放机灵一点，情况可能要好一点，因为很多人的电话和email，facebook，Twitter的账户是同步的，甚至在线存储也是。

当然，丢失手机时，我们可以更改以上那些账户的密码，可是丢失的照片却是再也找不回来了，这让人有一点点伤心。

备份资料到电脑当然是一种很好的解决方法，不过要是你的笔记本哪天不小心坏了，你也只能变得一无所有，从头再来。

在线照片存储的网站是一个很好的资源，因为他们不止要保证你的照片的安全，你也可以很方便的把照片分享给你选择的人。省去了那些把同样的照片做无数次的拷贝分别发给妈妈，奶奶，妹妹，阿姨和岳母等各种亲戚朋友的麻烦。

我常用的一个是谷歌的Picasa相册工具，但是大家也可能听说过像Flickr这样的网络相册。

Lifehacker给出了最好的5个网络分享的相册。

请记住，他们仅仅是被称作相册分享工具，并不是说你一定要分享，你也可以自己保留他们。

### 音乐 ###

我得到的第一个唱片是20世纪80年代初“Adam and the Ants”的"Kings of the wild frontier"里的一个12英寸的碟子。

在20世纪80年代后的很长一段时间里，唱片逐渐被磁带所取代，就好像是我积累了很多的磁带以后，磁带却被CD所取代。

后来，成百上千的CD和MP3越来越普遍，直至成为了一种潮流。

而音频流媒体始终也跟着潮流一起进步，比如像Spotify。

Spotify是一个免费的软件，但是里面包含广告，对于使用的人们而言，它就像是一个你可以定制的私人电台，当然你也可以交月费来去除广告。

Grooveshark和last.fm也有提供很多相似的服务。

Techradar给出了7种Spotify的替代方案。

### 电影 ###

小飞象 (Dumbo) 是我最早在电影院看的一部电影。而我最早接触录像是“Krull”，它讲述了Dulph Lundgren的年轻时候的经历，录像的格式是Beta Max。(当时我的邻居就有一个) 。

有一天，爸爸从收音机租赁处带回来一个录像机，我和我的姐姐就轮流去录像店租带子看。我清楚的记得，我第一次租的带子名字叫“黑洞”(The Black Hole)。

直到有声电影的出现，你就不得不拿一个很大的东西来装电影带子，所以有些天才就发明了DVD，甚至是制造出了蓝光碟片。

现在，流媒体已经充斥着我们生活的每一天，要是你有个牛X的网络就更完美了。

其中，最出名的流媒体提供商是Netflix和Lovefilm (Netflix和Lovefilm都是在线的影片租赁公司)。

linuxnews给了我们一些更好的选择来替代Netflix，因为并不是所有的服务都能无缝的在linux上工作，包括Netflix。

### 游戏 ###

继音乐，电影搬到线上以后，游戏也登上了在线的舞台。

对游戏来说就要困难一些，因为音乐只占用很少的带宽，而电影的要求相对高一点，但是也仅仅是为了得到一幅清晰的画面。

游戏始终需要很高的帧速支持，不然即使你手上有一个很好玩的游戏，可能也不值得去尝试。

当前，很多游戏服务商都有提供基于云的游戏，包括OnLive和StreamMyGame也有提供。

linuxnews给出了6个和OnLive竞争的游戏服务提供商。

### 争议 ###

云计算也并不是没有争议。

首先，最大的问题就是安全问题，如果有人进入了你的在线存储空间和你的电子邮箱，并盗取了你的个人信息。

那么在线存储你都会存些什么呢？像Megaupload.com这样的网站，上面都有很多有价值的客户资料。

Megaupload.com这个网站本来提供的大容量文件的存储，而问题却是，很多人用它来分享一些有版权的资料，美国的当局就不依不饶的下来检查，所以这个服务被迫关掉了。

现在，因为很多人丢失了资料，当局的这样做也是无可厚非的，但是对于那些没有做错事的人来说，他们的数据资料也丢失了，美国当局拒绝还给本人。

最后给出了一个服务正在维护的答复，如果你的电子邮件停了一天你能应付，那么3天呢？甚至是一个月你还能应付得了吗，那么你也就只能任由服务提供商摆布了。

很多大公司已经取回了丢失的数据，但是仍然有很多心脏病漏洞(openssl的heartbleed安全漏洞)的消息在，这是ssl应用多年中发现的一个重大的安全漏洞。

所以说，如果你用了别人提供的在线服务，那么你必须信赖他们技术支持人员，你也必须相信他们不会出现被黑客攻击，硬件故障，缺乏备份和无法恢复系统这样的情况。

### 总结 ###

现在云计算早已成了充斥着在线服务的主题，你的浏览器就是一个客户端，连接世界上任意一个地方的服务器或者是服务器集群。重点是你没必要去关注，而且你也不需要知道。

一般来说，我们仅仅触及的是它的表面，所有我们每天接触到的云，对于我们大多数人来说甚至都不用去关注它。

至于说云到底是怎样影响着每一位linux用户，事实去证明是有很多的。

云到底是好是坏？又或许什么都不是。每一种服务的好坏都要看它的优势。

或许云仅仅是营销人员炒起来的一个概念，也只会让技术新闻感到兴奋。是否还有人记得我们一直在用的“Web 2.0”？

感谢您的阅读。

--------------------------------------------------------------------------------

via: http://www.linuxnews.pro/how-does-the-cloud-affect-the-everyday-linux-user/

译者：[barney-ro](https://github.com/译者ID) 校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出